Bug 1336144 - Build QGit v2.6 with Qt5
Summary: Build QGit v2.6 with Qt5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgit
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-14 20:53 UTC by Raphael Groner
Modified: 2016-07-18 18:49 UTC (History)
2 users (show)

Fixed In Version: qgit-2.6-2.fc24 qgit-2.6-2.fc23 qgit-2.6-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-05 04:58:41 UTC


Attachments (Terms of Use)
qgit 2.6 for pkgs.fedoraproject.org (3.42 KB, patch)
2016-05-16 18:20 UTC, Luigi Toscano
no flags Details | Diff

Description Raphael Groner 2016-05-14 20:53:43 UTC
Description of problem:
According to an upstream bug, QGit can build with Qt5.

Version-Release number of selected component (if applicable):
-

How reproducible:
yes

Steps to Reproduce:
1. dnf install qgit
2.
3.

Actual results:
Pulls in Qt4 package as dependency.

Expected results:
Qt5 is used, no need for Qt4.

Additional info:
http://libre.tibirna.org/issues/30

Comment 1 Dan Horák 2016-05-16 13:03:06 UTC
Someone already offered me help to update qgit to 2.6 including the switch to qt5, but nothing happened. Help is welcome.

Comment 2 Kevin Kofler 2016-05-16 18:11:37 UTC
IMHO, this is an upstream issue. The Qt 4 packages in Fedora are not going away any time soon, we still ship even Qt 3.

Comment 3 Luigi Toscano 2016-05-16 18:16:17 UTC
(In reply to Dan Horák from comment #1)
> Someone already offered me help to update qgit to 2.6 including the switch
> to qt5, but nothing happened. Help is welcome.

That was me, and I apologize for the delay. I'm going to attach the patch on top of the current git for fedoraproject if anyone want to review it.

Comment 4 Luigi Toscano 2016-05-16 18:20:18 UTC
Created attachment 1158074 [details]
qgit 2.6 for pkgs.fedoraproject.org

Packages builts with the patch can be found here:
https://copr.fedorainfracloud.org/coprs/tosky/qgit/

Comment 5 Luigi Toscano 2016-05-16 18:21:49 UTC
Anyway, for the record, you can't only build with Qt5, but the new version 2.6 is only Qt5: http://libre.tibirna.org/news/4

Comment 6 Raphael Groner 2016-05-16 18:34:47 UTC
Attached patch looks good to me. As we now use cmake, the qmake changes are useless.

Comment 7 Raphael Groner 2016-05-16 18:36:29 UTC
(In reply to Kevin Kofler from comment #2)
> IMHO, this is an upstream issue. The Qt 4 packages in Fedora are not going
> away any time soon, we still ship even Qt 3.

Can we do version 2.6 in Rawhide, and maybe f24 as it's still in beta.

Comment 8 Fedora Update System 2016-06-24 10:35:32 UTC
qgit-2.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-97d103ed21

Comment 9 Fedora Update System 2016-06-24 10:35:39 UTC
qgit-2.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-658e29dbc3

Comment 10 Fedora Update System 2016-06-24 10:35:44 UTC
qgit-2.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52f9e7699b

Comment 11 Fedora Update System 2016-06-24 23:47:38 UTC
qgit-2.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-658e29dbc3

Comment 12 Fedora Update System 2016-06-25 00:27:33 UTC
qgit-2.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52f9e7699b

Comment 13 Fedora Update System 2016-06-25 00:31:17 UTC
qgit-2.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-97d103ed21

Comment 14 Fedora Update System 2016-06-30 07:00:07 UTC
qgit-2.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa833b24e8

Comment 15 Fedora Update System 2016-06-30 07:00:20 UTC
qgit-2.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1047d82428

Comment 16 Fedora Update System 2016-06-30 07:00:31 UTC
qgit-2.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3ec4cf195

Comment 17 Fedora Update System 2016-06-30 22:18:29 UTC
qgit-2.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-1047d82428

Comment 18 Fedora Update System 2016-06-30 22:26:11 UTC
qgit-2.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fa833b24e8

Comment 19 Fedora Update System 2016-06-30 22:54:23 UTC
qgit-2.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3ec4cf195

Comment 20 Fedora Update System 2016-07-05 04:58:35 UTC
qgit-2.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-07-09 23:52:29 UTC
qgit-2.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-07-18 18:49:21 UTC
qgit-2.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.